=== modified file 'ivle/dispatch/__init__.py'
--- ivle/dispatch/__init__.py	2009-02-03 23:30:53 +0000
+++ ivle/dispatch/__init__.py	2009-02-03 23:49:34 +0000
@@ -42,6 +42,8 @@
 from ivle import util
 import ivle.conf
 import ivle.conf.apps
+from ivle.dispatch.request import Request
+from ivle.dispatch import login
 import apps
 import html
 import plugins.console # XXX: Relies on www/ being in the Python path.
@@ -77,7 +79,6 @@
 
     req: An Apache request object.
     """
-    from ivle.dispatch.request import Request
     # Make the request object into an IVLE request which can be passed to apps
     apachereq = req
     try:
@@ -107,9 +108,6 @@
     just used to catch exceptions.
     Takes both an IVLE request and an Apache req.
     """
-    from ivle.dispatch import login
-    from ivle.dispatch.request import Request
-
     # Hack? Try and get the user login early just in case we throw an error
     # (most likely 404) to stop us seeing not logged in even when we are.
     if not req.publicmode:

=== modified file 'ivle/dispatch/login.py'
--- ivle/dispatch/login.py	2009-01-15 01:18:00 +0000
+++ ivle/dispatch/login.py	2009-02-03 23:49:34 +0000
@@ -23,8 +23,6 @@
 import os
 import datetime
 
-from mod_python import Session
-
 import ivle.conf
 from ivle import (util, caps, forumutil)
 from ivle.auth import authenticate, AuthError

=== modified file 'ivle/dispatch/request.py'
--- ivle/dispatch/request.py	2009-01-19 08:14:25 +0000
+++ ivle/dispatch/request.py	2009-02-03 23:49:34 +0000
@@ -25,8 +25,13 @@
 object.
 """
 
-import mod_python
-from mod_python import (util, Session, Cookie)
+try:
+    import mod_python.Session
+    import mod_python.Cookie
+    import mod_python.util
+except ImportError:
+    # This needs to be importable from outside Apache.
+    pass
 
 import ivle.util
 import ivle.conf
@@ -277,10 +282,10 @@
             self.session.invalidate()
             self.session.delete()
             # Invalidates all IVLE cookies
-            all_cookies = Cookie.get_cookies(self)
+            all_cookies = mod_python.Cookie.get_cookies(self)
             for cookie in all_cookies:
                 if cookie in ivle_cookies:
-                    self.add_cookie(Cookie.Cookie(cookie,'',expires=1,path='/'))
+                    self.add_cookie(mod_python.Cookie.Cookie(cookie,'',expires=1,path='/'))
         self.throw_redirect(ivle.util.make_path('')) 
 
 
@@ -327,9 +332,9 @@
     def add_cookie(self, cookie, value=None, **attributes):
         """Inserts a cookie into this request object's headers."""
         if value is None:
-            Cookie.add_cookie(self.apache_req, cookie)
+            mod_python.Cookie.add_cookie(self.apache_req, cookie)
         else:
-            Cookie.add_cookie(self.apache_req, cookie, value, **attributes)
+            mod_python.Cookie.add_cookie(self.apache_req, cookie, value, **attributes)
 
     def get_session(self):
         """Returns a mod_python Session object for this request.
@@ -337,7 +342,7 @@
         interface if porting away from mod_python."""
         # Cache the session object and set the timeout to 24 hours.
         if not hasattr(self, 'session'):
-            self.session = Session.FileSession(self.apache_req,
+            self.session = mod_python.Session.FileSession(self.apache_req,
                                                timeout = 60 * 60 * 24)
         return self.session
 
@@ -347,7 +352,7 @@
         interface if porting away from mod_python."""
         # Cache the fieldstorage object
         if not hasattr(self, 'fields'):
-            self.fields = util.FieldStorage(self.apache_req)
+            self.fields = mod_python.util.FieldStorage(self.apache_req)
         return self.fields
 
     def get_cgi_environ(self):

